#if !defined(AFX_COLORDLG_H__832C00AA_4123_43F7_9662_CA112ACE2F7F__INCLUDED_)
#define AFX_COLORDLG_H__832C00AA_4123_43F7_9662_CA112ACE2F7F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ColorDlg.h : header file
//



/////////////////////////////////////////////////////////////////////////////
// CColorDlg dialog

#include "colorbox.h"
#include "Controller.h"
#include "DataStructures.h"

class CColorDlg : public CDialog
{
// Construction
public:
	CColorDlg(Controller* controller, const Settings* set_data, CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CColorDlg)
	enum { IDD = IDD_COLOR_DIALOG };
	CColorBox	m_edit_dead_selected_root_color;
	CColorBox	m_edit_selected_root_color;
	CColorBox	m_edit_dead_root_color;
	CColorBox	m_edit_live_root_color;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CColorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CColorDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnButtonDefault();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
  Controller& m_controller;
  const Settings& m_set_data;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COLORDLG_H__832C00AA_4123_43F7_9662_CA112ACE2F7F__INCLUDED_)
